More changes to fix a space leak in the simplifier (#13426)
ClosedPublic

Authored by rwbarton on Apr 4 2017, 3:38 PM.

Details

Summary

Part of e13419c55 was accidentally lost during a rebase. This commit
adds the missing change, along with some more improvements
regarding where we do and don't use seqType.

Also include a comment about where the space leak showed up
and a Note explaining the strategy being used here.

Test Plan

harbormaster, plus local testing on DynFlags

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
rwbarton created this revision.Apr 4 2017, 3:38 PM

I confirmed this patch still dramatically reduces DynFlags space usage locally (3694 MB total memory in use -> 1033 MB total memory in use).

rwbarton updated this revision to Diff 12007.Apr 4 2017, 9:34 PM
  • simplifier: Don't force sc_hole_ty
rwbarton updated this revision to Diff 12016.Apr 5 2017, 11:37 AM
  • Add some more seqType calls, and an explanatory Note
bgamari accepted this revision.Apr 6 2017, 3:44 PM

Looks good to me. Thanks Reid!

This revision is now accepted and ready to land.Apr 6 2017, 3:44 PM
rwbarton retitled this revision from Add missing change to fix a space leak in the simplifier (#13426) to More changes to fix a space leak in the simplifier (#13426).Apr 6 2017, 4:05 PM
rwbarton edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.